SalesOS.

Accounts

Account/company management

Accounts Controller_list Accounts

GET
/api/accounts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

typeRequiredstring
industryRequiredstring
parentAccountIdRequiredstring
searchRequiredstring
curl -X GET "https://www.salesos.org/api/api/accounts?type=%3Cstring%3E&industry=%3Cstring%3E&parentAccountId=%3Cstring%3E&search=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Accounts Controller_create Account

POST
/api/accounts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/accounts" \
  -H "Authorization: Bearer <token>"

Accounts Controller_get Account Stats

GET
/api/accounts/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/accounts/stats" \
  -H "Authorization: Bearer <token>"

Accounts Controller_get Account

GET
/api/accounts/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/accounts/<string>" \
  -H "Authorization: Bearer <token>"

Accounts Controller_update Account

PATCH
/api/accounts/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/accounts/<string>" \
  -H "Authorization: Bearer <token>"

Accounts Controller_delete Account

DELETE
/api/accounts/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/accounts/<string>" \
  -H "Authorization: Bearer <token>"

Accounts Controller_get Account Hierarchy

GET
/api/accounts/{id}/hierarchy

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/accounts/<string>/hierarchy" \
  -H "Authorization: Bearer <token>"

Accounts Controller_get Account Revenue

GET
/api/accounts/{id}/revenue

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/accounts/<string>/revenue" \
  -H "Authorization: Bearer <token>"

Accounts Controller_bulk Update

POST
/api/accounts/bulk/update

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/accounts/bulk/update" \
  -H "Authorization: Bearer <token>"

Accounts Controller_bulk Delete

POST
/api/accounts/bulk/delete

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/accounts/bulk/delete" \
  -H "Authorization: Bearer <token>"

Accounts Controller_bulk Assign

POST
/api/accounts/bulk/assign

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/accounts/bulk/assign" \
  -H "Authorization: Bearer <token>"